Subject: Queueing in multicast capable networks

From: Francis Arts <[email-masked]>
Date: Sun, 24 Dec 2000 11:37:55 +0100

Hello,

Could someone share his / her point of view concerning queueing in
multicast capable networks? More in particular, does a router require /
need to have separate egress queues for multicast and unicast traffic?
That is, is it needed to take the unicast / multicast character of an IP
packet into account when scheduling a packet on the output port / egress
interface?

RFC 2932 (IPv4 Multicast Routing MIB) defines the
'ipMRouteInterfaceRateLimit' object in the ipMRouteInterfaceTable. This
could be achieved by using a separate queue for multicast traffic.
However, the question here is whether or not this rate limiting is
effectively used in practical (deployed) networks.

Thanks for your answer.

Kind regards,

    Francis.